package nsdb;
final public class NucSeqListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.NucSeq[] value;

	public NucSeqListHolder ()
	{
	}
	public NucSeqListHolder (nsdb.NucSeq[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return NucSeqListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = NucSeqListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		NucSeqListHelper.write(out,value);
	}
}
